package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ReportClientBean {
    @Autowired
    private Dao<Report> reportDao;

    public void persistReport() {
        Report report = getReport();
        System.out.println("-- persisting report --");
        long generatedId = reportDao.save(report);
        System.out.println("saved report generated id: "+generatedId);

        System.out.println("-- loading report --");
        Report loadedReport = reportDao.load(generatedId);
        System.out.println(loadedReport);
    }

    private static void logException(Exception e) {
        System.out.println("-- exception message --");
        System.err.println(e.getMessage());
        System.out.println("---------");
    }

    private  Report getReport() {
        //create dummy report
        Report report = new Report();
        report.setName("test report");
        report.setContent("dummy large content ..");
        report.setImage(new byte[]{1, 4, 3, 32, 2, 1, 5, 3, 6, 7, 6, 7,});
        return report;
    }
}